scala.tools.nsc.typechecker.Contexts

# ImportInfo

#### class ImportInfo extends AnyRef

Source
  Contexts.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ImportInfo
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ImportInfo(tree: Global.Import, depth: Int)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Analyzer.ImportInfo to any2stringadd[Analyzer.ImportInfo] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Analyzer.ImportInfo, B)

   Implicit information
     This member is added by an implicit conversion from Analyzer.ImportInfo to ArrowAssoc[Analyzer.ImportInfo] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def allImportedSymbols: Iterable[Global.Symbol]

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val depth: Int

10. #### def ensuring(cond: (Analyzer.ImportInfo) ⇒ Boolean, msg: ⇒ Any): Analyzer.ImportInfo

    Implicit information
      This member is added by an implicit conversion from Analyzer.ImportInfo to Ensuring[Analyzer.ImportInfo] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: (Analyzer.ImportInfo) ⇒ Boolean): Analyzer.ImportInfo

    Implicit information
      This member is added by an implicit conversion from Analyzer.ImportInfo to Ensuring[Analyzer.ImportInfo] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean, msg: ⇒ Any): Analyzer.ImportInfo

    Implicit information
      This member is added by an implicit conversion from Analyzer.ImportInfo to Ensuring[Analyzer.ImportInfo] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean): Analyzer.ImportInfo

    Implicit information
      This member is added by an implicit conversion from Analyzer.ImportInfo to Ensuring[Analyzer.ImportInfo] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(other: Any): Boolean

    Definition Classes
      ImportInfo → AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Analyzer.ImportInfo to StringFormat[Analyzer.ImportInfo] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      ImportInfo → AnyRef → Any

20. #### def importedSymbol(name: Global.Name, requireExplicit: Boolean): Global.Symbol

    If requireExplicit is true, wildcard imports are not considered.

21. #### def importedSymbol(name: Global.Name): Global.Symbol

    The symbol with name `name` imported from import clause `tree`.

22. #### def isExplicitImport(name: Global.Name): Boolean

    Is name imported explicitly, not via wildcard?

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### def pos: Global.Position

28. #### def posOf(sel: Global.ImportSelector): Position

29. #### def qual: Global.Tree

    The prefix expression

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def toString(): String

    Definition Classes
      ImportInfo → AnyRef → Any

32. #### val tree: Global.Import

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### def →[B](y: B): (Analyzer.ImportInfo, B)

    Implicit information
      This member is added by an implicit conversion from Analyzer.ImportInfo to ArrowAssoc[Analyzer.ImportInfo] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Analyzer.ImportInfo to any2stringadd[Analyzer.ImportInfo]

### Inherited by implicit conversion StringFormat from Analyzer.ImportInfo to StringFormat[Analyzer.ImportInfo]

### Inherited by implicit conversion Ensuring from Analyzer.ImportInfo to Ensuring[Analyzer.ImportInfo]

### Inherited by implicit conversion ArrowAssoc from Analyzer.ImportInfo to ArrowAssoc[Analyzer.ImportInfo]

### Ungrouped